%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary: PEAR: Web-based file manager
Name: whups-h5
Version: 3.0.12
Release: 1%{?dist}
License: GPL-2.0
Group: Development/Libraries
Source0: http://pear.horde.org/get/whups-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/whups
BuildRequires: php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: horde >= 5.0.0
Requires: horde < 6.0.0alpha1
Requires: Horde_Auth >= 2.0.0
Requires: Horde_Auth < 3.0.0alpha1
Requires: Horde_Autoloader >= 2.0.0
Requires: Horde_Autoloader < 3.0.0alpha1
Requires: Horde_Compress >= 2.0.0
Requires: Horde_Compress < 3.0.0alpha1
Requires: Horde_Core >= 2.0.0
Requires: Horde_Core < 3.0.0alpha1
Requires: Horde_Date >= 2.0.0
Requires: Horde_Date < 3.0.0alpha1
Requires: Horde_Db >= 2.0.0
Requires: Horde_Db < 3.0.0alpha1
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: Horde_Form >= 2.0.0
Requires: Horde_Form < 3.0.0alpha1
Requires: Horde_Group >= 2.0.0
Requires: Horde_Group < 3.0.0alpha1
Requires: Horde_Mail >= 2.0.0
Requires: Horde_Mail < 3.0.0alpha1
Requires: Horde_Mime >= 2.0.0
Requires: Horde_Mime < 3.0.0alpha1
Requires: Horde_Mime_Viewer >= 2.0.0
Requires: Horde_Mime_Viewer < 3.0.0alpha1
Requires: Horde_Notification >= 2.0.0
Requires: Horde_Notification < 3.0.0alpha1
Requires: Horde_Perms >= 2.0.0
Requires: Horde_Perms < 3.0.0alpha1
Requires: Horde_Prefs >= 2.0.0
Requires: Horde_Prefs < 3.0.0alpha1
Requires: Horde_Scheduler >= 2.0.0
Requires: Horde_Scheduler < 3.0.0alpha1
Requires: Horde_Share >= 2.0.0
Requires: Horde_Share < 3.0.0alpha1
Requires: Horde_Support >= 2.0.0
Requires: Horde_Support < 3.0.0alpha1
Requires: Horde_Text_Filter >= 2.0.0
Requires: Horde_Text_Filter < 3.0.0alpha1
Requires: Horde_Util >= 2.0.0
Requires: Horde_Util < 3.0.0alpha1
Requires: Horde_Vfs >= 2.0.0
Requires: Horde_Vfs < 3.0.0alpha1
Requires: Horde_View >= 2.0.0
Requires: Horde_View < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
Provides:       %{name} = %{version}  

BuildArch: noarch

%description
Whups is a Horde ticket-tracking application. It is very flexible in design, 
and can be used for help-desk requests, tracking software development, and 
anything else that needs to track a set of requests and their status.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock


#mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/whups.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/whups.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/whups >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc %{peardir}
%doc %{pear_hordedir}
%{peardir}/*
%{xmldir}/whups.xml

%{_bindir}/whups-bugzilla-import
%{_bindir}/whups-convert-datatree-shares-to-sql
%{_bindir}/whups-convert-sql-shares-to-sqlng
%{_bindir}/whups-convert-to-utf8
%{_bindir}/whups-git-hook
%{_bindir}/whups-git-hook-conf.php.dist
%{_bindir}/whups-mail-filter
%{_bindir}/whups-obliterate
%{_bindir}/whups-reminders
%{_bindir}/whups-svn-hook
%{_bindir}/whups-svn-hook-conf.php.dist


%changelog
* Wed Sep 20 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.12-1
- Upgrade to 3.0.12

* Tue Aug 1 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.11-1
- Upgrade to 3.0.11

* Sat Jun 24 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.10-1
- Upgrade to 3.0.10

* Sun Dec 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.9-1
- Upgrade to 3.0.9

* Wed Mar 23 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.7-1
- Upgrade to 3.0.7

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.6-1
- Upgrade to 3.0.6

* Fri Oct 23 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.5-1
- Upgrade to 3.0.5

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.4-1
- Upgrade to 3.0.4

* Tue Apr 28 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.3-1
- Upgrade to 3.0.3

* Tue Feb 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.2-1
- Upgrade to 3.0.2

* Wed Oct 29 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.1-1
- Upgrade to 3.0.1

* Mon Mar 10 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.0-1
- Initial release for SME Server
- Original build from pear make-rpm-spec
